Bug 258370 - net-mgmt/p0f2: Fix build with -fno-common
Summary: net-mgmt/p0f2: Fix build with -fno-common
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kevin Bowling
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2021-09-08 15:40 UTC by Robert Clausecker
Modified: 2021-09-11 01:43 UTC (History)
2 users (show)

See Also:
kbowling: merge-quarterly+


Attachments
net-mgmt/p0f2: patch and unbreak with -fno-common (2.37 KB, patch)
2021-09-08 15:40 UTC, Robert Clausecker
koobs: maintainer-approval+
Details | Diff
net-mgmt/p0f2: deprecate in favour of net-mgmt/p0f (826 bytes, patch)
2021-09-09 11:29 UTC, Robert Clausecker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Clausecker 2021-09-08 15:40:44 UTC
Created attachment 227767 [details]
net-mgmt/p0f2: patch and unbreak with -fno-common

Unbreak the port on FreeBSD 13 and 14 where -fno-common is the default.

While we are at it, define LICENSE, pet portlint and portclippy.
Take over maintainership of this unmaintained port.

Tested with Poudriere on arm64 armv6 FreeBSD 13.0-RELEASE.
Comment 1 Daniel Engberg freebsd_committer 2021-09-08 23:13:57 UTC
This branch is deprecated upstream and labeled as "do not use" so we should deprecate and remove it instead ?

Reference:
https://lcamtuf.coredump.cx/p0f3/releases/
Comment 2 Robert Clausecker 2021-09-08 23:30:30 UTC
(In reply to Daniel Engberg from comment #1)
I don't care either way as long as something is done.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-09-09 01:27:27 UTC
Suggest committing this patch and deprecating (separate commits), MFH'ing both
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-09-09 01:28:13 UTC
Comment on attachment 227767 [details]
net-mgmt/p0f2: patch and unbreak with -fno-common

Approved by: portmgr (blanket: unmaintained port, build fix)
MFH: 2020Q3
Comment 5 Robert Clausecker 2021-09-09 11:29:09 UTC
Created attachment 227782 [details]
net-mgmt/p0f2: deprecate in favour of net-mgmt/p0f

(In reply to Kubilay Kocak from comment #3)

Yes, that sounds like a good idea.  If desired, the port can also be set to expire.  See attached patch.
Comment 6 commit-hook freebsd_committer 2021-09-11 01:36:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=19d698844cc5956f11b6ac975b3e31ca04618de3

commit 19d698844cc5956f11b6ac975b3e31ca04618de3
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-09-11 01:35:22 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-09-11 01:35:22 +0000

    net-mgmt/p0f2: Fix build with -fno-common

    PR:             258370

 net-mgmt/p0f2/Makefile                      | 13 ++++++-------
 net-mgmt/p0f2/distinfo                      |  1 +
 net-mgmt/p0f2/files/patch-p0f-query.c (new) | 13 +++++++++++++
 3 files changed, 20 insertions(+), 7 deletions(-)
Comment 7 commit-hook freebsd_committer 2021-09-11 01:38:11 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6737e4119a547567ef9f4793aefabc292469a39d

commit 6737e4119a547567ef9f4793aefabc292469a39d
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-09-11 01:36:38 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-09-11 01:36:38 +0000

    net-mgmt/p0f2: deprecate in favour of net-mgmt/p0f

    The version 2 series of this tool is no longer maintained
    and deprecated in favour of the version 3 series provided
    in net-mgmt/p0f2.

    PR:             258370

 net-mgmt/p0f2/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 8 commit-hook freebsd_committer 2021-09-11 01:42:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=eb3a59d22702107f742c94acd00da1c8862db790

commit eb3a59d22702107f742c94acd00da1c8862db790
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-09-11 01:40:49 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-09-11 01:40:49 +0000

    net-mgmt/p0f2: Set to expire 2021-12-31

    PR:             258370

 net-mgmt/p0f2/Makefile | 1 +
 1 file changed, 1 insertion(+)
Comment 9 commit-hook freebsd_committer 2021-09-11 01:43:14 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7aced36cec305a97accaf3765f11cb1216e0a649

commit 7aced36cec305a97accaf3765f11cb1216e0a649
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-09-11 01:35:22 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-09-11 01:42:15 +0000

    net-mgmt/p0f2: Fix build with -fno-common

    PR:             258370
    (cherry picked from commit 19d698844cc5956f11b6ac975b3e31ca04618de3)

 net-mgmt/p0f2/Makefile                      | 13 ++++++-------
 net-mgmt/p0f2/distinfo                      |  1 +
 net-mgmt/p0f2/files/patch-p0f-query.c (new) | 13 +++++++++++++
 3 files changed, 20 insertions(+), 7 deletions(-)
Comment 10 commit-hook freebsd_committer 2021-09-11 01:43:15 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=124a29043b1d9d1fcd5feeac136189681b0dacd5

commit 124a29043b1d9d1fcd5feeac136189681b0dacd5
Author:     Robert Clausecker <fuz@fuz.su>
AuthorDate: 2021-09-11 01:36:38 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-09-11 01:42:23 +0000

    net-mgmt/p0f2: deprecate in favour of net-mgmt/p0f

    The version 2 series of this tool is no longer maintained
    and deprecated in favour of the version 3 series provided
    in net-mgmt/p0f2.

    PR:             258370
    (cherry picked from commit 6737e4119a547567ef9f4793aefabc292469a39d)

 net-mgmt/p0f2/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 11 commit-hook freebsd_committer 2021-09-11 01:43:15 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a76881e967f1b4a8990939b1cc8b257928900897

commit a76881e967f1b4a8990939b1cc8b257928900897
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-09-11 01:40:49 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-09-11 01:42:36 +0000

    net-mgmt/p0f2: Set to expire 2021-12-31

    PR:             258370
    (cherry picked from commit eb3a59d22702107f742c94acd00da1c8862db790)

 net-mgmt/p0f2/Makefile | 1 +
 1 file changed, 1 insertion(+)
Comment 12 Kevin Bowling freebsd_committer 2021-09-11 01:43:49 UTC
Thanks for your contribution!